__author__ = 'thorsten'

import ablauf

# Abstract Models
# =============================================================================
class DefaultModel(ablauf.Model):
    def __init__(self, process_name, controller_name):
        ablauf.Model.__init__(self, process_name, controller_name)

        # render attributes
        # *********************************************************************
        # rows
        # ---------------------------------------------------------------------
        self.row_width = ablauf.Data.configuration["width"] - 8
        self.row_height = 35
        self.row_box_height = 30
        self.row_y_offset = 10
        self.row_x_offset = 10
        self.row_text_y_offset = 9
        self.row_icon_x_offset = 3
        self.row_icon_y_offset = 3
        self.row_corner_deep = 4

        # columns
        # ---------------------------------------------------------------------
        self.column_width = 30
        # color
        # ---------------------------------------------------------------------
        self.color_text = (255, 255, 255)
        self.color_controller = (52, 73, 94)
        self.color_selected = (127, 140, 141)
        self.color_text_selected = (255,0,0)
        self.color_background = (44, 62, 80)
        self.color_selection = (127, 140, 141)
        self.color_header = (52, 73, 94)
        self.color_dialog = (127, 140, 141)

        # text
        # ---------------------------------------------------------------------
        self.text_y_offset = 22
        self.text_size = 24  # render attributes

